View recoveries

Returns declined transactions within the given date range along with the decline recovery status of each.

For additional information about this endpoint, see the Retrieving transaction list from decline recovery tutorial.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • endDate
  • limit
  • offset
  • startDate
  • recoveryStatus

Response parameters

  • offset
  • limit
  • rows
  • rows.id
  • rows.retryDate
  • rows.transactionDate
  • rows.originalAmount
  • rows.originalDeclinePaymentId
  • rows.orderNumber
  • rows.recoveryStatus
  • rows.retryCount
  • rows.merchantId
  • rows.userName
  • rows.isEnabledForRecovery
  • rows.declineMessage
  • rows.updatedAt
  • hasMore
Query Params
integer
Defaults to 10

Specifies the maximum number of transactions to return in a single API response. For example, if you set limit=20, the API returns up to 20 transactions starting from the position specified by the offset parameter.

integer
Defaults to 0

Specifies the starting point within the list of transactions. Use it in conjunction with the limit parameter to control which subset of transactions the API returns. For example, if you set offset=10 and limit=20, the API skips the first 10 transactions and returns the next 20 transactions (in other words, transactions 11 to 30).

string

The start date. If you do not specify a value, the system uses the date 30 days prior to today's date. Format: YYYY-MM-DD

string

The end date. If you do not specify a value, the system uses today's date. Format: YYYY-MM-DD

integer
enum

The recovery status of the transaction. Possible values: - 10: Disabled- 20: In progress- 30: Scheduled- 40: Unrecoverable- 50: Recovered

Allowed:
Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json